import { Injectable } from '@angular/core';

import { Menu } from 'src/app/core/models/menu.model';

const MENUAUTH: Menu[] = [
    { state: 'login', type: 'link', name: 'Se connecter', icon: 'fingerprint', desc: '' },
    { state: 'register', type: 'link', name: 'Créer un compte', icon: 'person_add_alt', desc: '' },
    { state: 'qcm', type: 'menu', name: 'QCM Brevets', icon: 'rule_folder', desc: '' }
];

const MENUITEMS: Menu[] = [
    { state: 'dashboard', type: 'link', name: 'Dashboard', icon: 'dashboard', desc: '' },
    { state: 'logbook', type: 'link', name: 'Carnet de saut', icon: 'assignment_turned_in', desc: '' },
    { state: 'calculator', type: 'link', name: 'Taille de voile', icon: 'calculate', desc: '' },
    { state: 'qcm', type: 'menu', name: 'QCM Brevets', icon: 'rule_folder', desc: '' }
];

const MENUQCM: Menu[] = [
    { state: 'bpa', type: 'link', name: 'BPA', icon: 'rule' },
    { state: 'c', type: 'link', name: 'Brevet C', icon: 'rule' },
    { state: 'd', type: 'link', name: 'Brevet D', icon: 'rule' }
];

const MENUPANEL: Menu[] = [
    { state: '#', type: 'link', name: 'Retirer du dashboard', icon: 'add_notes', desc: '' },
    { state: '#', type: 'link', name: 'Paramètres d\'affichage', icon: 'display_settings', desc: '' }
];

const MENUCALCULATOR: Menu[] = [
    { state: '#', type: 'link', name: 'Recherche avancée', icon: 'search', desc: '' },
    { state: '#', type: 'link', name: 'Paramètres d\'affichage', icon: 'display_settings', desc: '' },
    { state: '#', type: 'link', name: 'Partager', icon: 'share', desc: '' }
];

const MENULOGBOOK: Menu[] = [
    { state: '#', type: 'link', name: 'Recherche avancée', icon: 'search', desc: '' },
    { state: '#', type: 'link', name: 'Recherche par participant', icon: 'person_search', desc: '' },
    { state: '#', type: 'link', name: 'Paramètres d\'affichage', icon: 'display_settings', desc: '' },
    { state: '#', type: 'link', name: 'Import CSV', icon: 'upload_file', desc: '' }
];

@Injectable()
export class MenuItems {
    getMenuAuth(): Menu[] {
        return MENUAUTH;
    }
    getMenuCalculator(): Menu[] {
        return MENUCALCULATOR;
    }
    getMenuItems(): Menu[] {
        return MENUITEMS;
    }
    getMenuLogbook(): Menu[] {
        return MENULOGBOOK;
    }
    getMenuQCM(): Menu[] {
        return MENUQCM;
    }
    getMenuPanel(): Menu[] {
        return MENUPANEL;
    }
}
